export declare class Bipart<KT, VT> {
    private _keys;
    private _values;
    [Symbol.iterator]: () => Generator<any[], void, unknown>;
    static fromArrays<KT = any, VT = any>(keys: Array<KT>, values: Array<VT>): Bipart<KT, VT>;
    constructor(obj?: {});
    set(key: KT, value: VT): this;
    get(key: KT): VT | undefined;
    getKey(value: VT): KT | undefined;
    delete(key: KT): boolean;
    deleteValue(value: VT): boolean;
    has(key: KT): boolean;
    hasValue(value: VT): boolean;
    clear(): void;
    keys(): IterableIterator<KT>;
    values(): IterableIterator<VT>;
    get size(): number;
}
